#!/usr/bin/env bash

set -euxo pipefail;

# Arguments
path="$1";
name="$2";

# Variables
dir="$(dirname "$path")";
base="$(basename "$path")";
dest={{ backups_files_directory | quote }}"/$name/latest.tar.gpg";

# Execution
tar --directory="$dir" --create --file=- "$base" |
  pv --quiet --buffer-size 256M |
  gpg --quiet --no-verbose --compress-level 0 --encrypt --recipient {{ backup_gpg_fingerprint | quote }} --trust-model always > "$dest";
chmod u+r-wx,g+r-wx,o+r-wx "$dest";
{{ global_helper_directory | quote }}/backup_rename.sh "$dest";
